com.sun.jna.platform.win32

## Class WinNT.HANDLE

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE

- All Implemented Interfaces:
    NativeMapped
  Direct Known Subclasses:
    WinDef.HBITMAP, WinDef.HBRUSH, WinDef.HDC, WinDef.HFONT, WinDef.HICON, WinDef.HINSTANCE, WinDef.HMENU, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinDef.PVOID, WinReg.HKEY, Winsvc.SC_HANDLE, WinUser.HHOOK
  Enclosing interface:
    WinNT

      public static class WinNT.HANDLE
      extends PointerType

  Handle to an object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinNT.HANDLE()`
    `WinNT.HANDLE(Pointer p)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `fromNative(java.lang.Object nativeValue, FromNativeContext context)` Override to the appropriate object for INVALID_HANDLE_VALUE.
    `void` | `setPointer(Pointer p)`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, getPointer, hashCode, nativeType, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WinNT.HANDLE

          public WinNT.HANDLE()

    - #### WinNT.HANDLE

          public WinNT.HANDLE(Pointer p)

  - ### Method Detail

    - #### fromNative

          public java.lang.Object fromNative(java.lang.Object nativeValue,
                                    FromNativeContext context)

      Override to the appropriate object for INVALID_HANDLE_VALUE.
      Specified by:
        `fromNative` in interface `NativeMapped`
      Overrides:
        `fromNative` in class `PointerType`

    - #### setPointer

          public void setPointer(Pointer p)

      Overrides:
        `setPointer` in class `PointerType`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.